Vehicles
List vehicles for a business
Scopes: vehicle:read
GET
/
v0
/
business
/
{business_id}
/
vehicles
List vehicles for a business
curl --request GET \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/vehicles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.getasset.com/v0/business/{business_id}/vehicles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.getasset.com/v0/business/{business_id}/vehicles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"business_id": "<string>",
"description": "<string>",
"make": "Ford",
"model": "F-150",
"license_plate": "ABC-1234",
"vin": "1FTEW1EP5KFA12345",
"id": "<string>",
"external_id": "1234567890",
"year": 2019,
"is_active": true
}
],
"pagination": {
"next_page_token": "<string>",
"previous_page_token": "<string>"
}
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
Filter vehicles by exact external ID
Filter vehicles by active status
The page token to for the next or previous page
Required range:
1 <= x <= 100⌘I
List vehicles for a business
